Summary:	Command-Line Xmms controlling program
Summary(pl.UTF-8):	Program kontrolujący XMMS-a z linii poleceń
Name:		xmms-clxmms
Version:	0.6
Release:	6
License:	GPL
Group:		Applications/Sound
Source0:	http://kolos.math.uni.lodz.pl/~bajcik/stuff/clxmms-%{version}.tar.gz
Patch0:		clxmms.patch
# Source0-md5:	9ed0759c6e3765c0f9c2d65784db35f0
BuildRequires:	xmms-devel
BuildRequires:	readline-devel
Requires:	xmms
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Don't like GUI? This program gives you a control on a XMMS player.

%description -l pl.UTF-8
Nie lubisz interfejsu graficznego? Ten program daje Ci kontrolę nad
odtwarzaczem XMMS z linii poleceń.

%prep
%setup -q -n clxmms-%{version}
%patch0 -p0

%build
%{__make} \
	CC="%{__cc}" \
	OPTFL="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install clxmms $RPM_BUILD_ROOT%{_bindir}
install clxmms.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%changelog
* Tue Oct 18 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xmms-clxmms.git;a=log;h=master

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 3480908
- rebuild with readline 7.0
- release 6 (by relup.sh)

* Mon Feb 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a3895c
- release 5

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 364ba7a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3d0f403
- converted to UTF-8

* Sat Sep 17 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 3af5a7c
- new readline, 5.0

* Sat Oct 30 2004 Jakub Bogusz <qboosh@pld-linux.org> 6b1158f
- CC fix

* Sat Oct 30 2004 paladine <paladine@pld-linux.org> 33d1c47
- unification, capitalization, better desc

* Mon Apr 26 2004 Adam Gołębiowski <adamg@pld-linux.org> 1923be4
- release 3 for Ac (2 is for Ra)

* Sat Mar 20 2004 hunter <hunter@pld-linux.org> 0763b90
- patch0, make clxmms change vol&balance

* Sat Mar 20 2004 hunter <hunter@pld-linux.org> 0dc02fc
- make clxmms change volume & balance

* Fri Aug 08 2003 misi3k <misi3k@pld-linux.org> f12fc51
- rel 2
- rebuild

* Wed May 28 2003 Michal Moskal <michal@moskal.me> d134678
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> a880c74
- massive attack s/pld.org.pl/pld-linux.org/

* Wed Jan 29 2003 wolf <wolf@pld-linux.org> fe32228
- 0.6

* Fri Nov 29 2002 ankry <ankry@pld-linux.org> 61805c2
- massive attack: new %%doc

* Thu May 02 2002 wolf <wolf@pld-linux.org> 315b315
- updated to 0.5

* Thu Apr 25 2002 arturs <arturs@pld-linux.org> 72bc120
- fixed a small typo

* Fri Feb 22 2002 kloczek <kloczek@pld-linux.org> 15991ea
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

* Sun Feb 17 2002 wolf <wolf@pld-linux.org> 2389296
- initial release

